<?php
if (!isset($_SESSION)) {
	session_start();
}

$funcao = "";
if(isset($_POST['funcao'])) $funcao = $_POST['funcao'];

if (isset($_POST['login_user'])) {
	$usuario_login  = $_POST['login_user'];
}
else if (isset($_SESSION['login'])) {
	$usuario_login = $_SESSION['login'];
}
else if ($funcao != "resetarSenha"){
	echo "<script>location.href='./login.php';</script>"; 
}

if ($funcao != "resetarSenha"){
	if (isset($_POST['pass_user'])) {
		$usuario_senha = $_POST['pass_user'];
	}
	else {
		$usuario_senha = $_SESSION['getpasswd'];	
	}
}
if(isset($_SESSION['codCliente'])) $cod_cliente = $_SESSION['codCliente'];
if(isset($_POST['cod_contrato']))	$cod_contrato = $_POST['cod_contrato'];
if(isset($_POST['status_contrato']))	$status_contrato = $_POST['status_contrato'];
if(isset($_POST['data_inicial'])) 	$data_inicial = $_POST['data_inicial'];
if(isset($_POST['data_final'])) 	$data_final = $_POST['data_final'];
if(isset($_POST['id_fatura']))     $idFatura = $_POST['id_fatura'];
if(isset($_POST['nova_data']))    $novaData = $_POST['nova_data'];
if(isset($_POST['cod_centroCusto'])) $codCentroCusto = $_POST['cod_centroCusto'];
if(isset($_POST['status_chamado'])) $statusChamado = $_POST['status_chamado'];
if(isset($_POST['cod_atendimento']))$codAtendimento = $_POST['cod_atendimento'];
if(isset($_POST['desc_chamado'])) $DescChamado = $_POST['desc_chamado'];
if(isset($_POST['caminho_arquivo'])) $Caminho = $_POST['caminho_arquivo'];
if(isset($_POST['id_notaFiscal'])) $idNotaFiscal = $_POST['id_notaFiscal'];
if(isset($_POST['cpfcnpj_cliente'])) $CpfCnpj = $_POST['cpfcnpj_cliente'];
if(isset($_POST['dadosPerfil'])) $dados_Perfil = $_POST['dadosPerfil'];
if(isset($_POST['dadosContrato'])) $dados_Contrato = $_POST['dadosContrato'];
if(isset($_POST['senhaAtual'])) $senha_atual = $_POST['senhaAtual'];
if(isset($_POST['novaSenha'])) $nova_senha = $_POST['novaSenha'];
if(isset($_POST['novaSenha2'])) $nova_senha2 = $_POST['novaSenha2'];
if(isset($_POST['numBoleto'])) $num_boleto = $_POST['numBoleto'];
if(isset($_POST['comprovante'])) $comprovante = $_POST['comprovante'];
if(isset($_POST['valor'])) $valor = $_POST['valor'];
if(isset($_POST['data_vencimento'])) $data_vencimento = $_POST['data_vencimento'];
if(isset($_POST['vencimento_atual'])) $vencimento_atual = $_POST['vencimento_atual'];
if(isset($_POST['vencimento_novo'])) $vencimento_novo = $_POST['vencimento_novo'];
if(isset($_POST['anoReferencia'])) $ano_referencia = $_POST['anoReferencia'];

function basicAuth ($getUrl,$json,$param1=NULL,$param2=NULL,$param3=NULL,$param4=NULL,$param5=NULL) {

	
	$urlWebService ="http://192.168.0.6/ws/";//"https://gamma.adapter.net.br/ws/";//"http://localhost:8080/adapter/ws/";//https://sistemas.viareal.com.br/ws/
	//$urlWebService ="https://sigma.adapter.net.br/ws/";
		switch ($getUrl) {
			case 'geral':
				$url = $urlWebService."comercial/logar"; //gera	
			break;
			
			case 'contratosCliente':
				$url = $urlWebService."comercial/contratos/cliente/" . $param1; //cliente
			break;		

			case 'contrato':
				$url = $urlWebService."comercial/atendimentos/tipos/contrato/" . $param1; //contrato
			break;
				
			case 'faturaPDF':
				$url = $urlWebService."financeiro/fatura/" . $param1; // fatura PDF
			break;
				
			case 'faturaPDFVencida':
				$url = $urlWebService."financeiro/fatura/vencida/" . $param1 . "?novaData=" . $param2; // fatura PDF nova data
			break;

			case 'linhaDigitavel':
				$url = $urlWebService."financeiro/fatura/".$param1."/linha_digitavel?novaData=".$param2; // fatura PDF nova data
			break;
					
			case 'avisos':
				$url = $urlWebService."comercial/avisos_app/" . $json;
			break;

			case 'extrato':
				$url = $urlWebService."comercial/contrato/".$param1."/extrato/navegacao?dataInicio=".$param2."&dataFim=".$param3;
			break;

			case 'extratoLigacao':
				$url = $urlWebService."comercial/contrato/".$param1."/extrato/ligacao?dataInicio=".$param2."&dataFim=".$param3;
			break;
			
			case 'atendimento':
				$url = $urlWebService."comercial/atendimentos/contrato/" .$param1;
			break;

			case 'novoAtendimento':
				$url = $urlWebService."comercial/atendimento" .$param1;
			break;

			case 'tipoAtendimento':
				$url = $urlWebService."comercial/atendimentos/tipos/contrato/" .$param1;
			break;

			case 'total_navegacao':
				$url = $urlWebService."comercial/total_navegacao/contrato/" .$param1;				
			break;
			
			case 'notasFicais':
				$url = $urlWebService."financeiro/notasfiscais/cliente/" .$param1."?dataInicio=".$param2."&dataFim=".$param3;
			break;
			
			case 'notasFiscaisPDF':
				$url = $urlWebService."financeiro/notasfiscais/" .$param1;
			break;

			case 'resetarSenha':
				$url = $urlWebService."comercial/resetar_senha"; 
			break;

			case 'alterarPerfil':
				$url = $urlWebService."comercial/alteraPerfil";//novo método não tem parametros
			break;
			
			case 'habilitarConfianca':
				$url = $urlWebService."comercial/contrato/".$param1."/webservice/alterar/status?descricaoStatus=".$param2;			
			break;

			case 'redefinirSenha':
				$url = $urlWebService."comercial/redefinir_senha?senhaAntiga=".$param1."&novaSenha=".$param2; 
			break;

			case 'validaDDA':
				$url = $urlWebService."financeiro/faturamento/valida/quitacao_anual_debito?dataInicio=01-01-".$param1."&dataFim=31-12-".$param1."&idCliente=".$param2; 				
			break;
			
			case 'baixaDDA':
				$url = $urlWebService."financeiro/faturamento/quitacao_anual_debito?dataInicio=01-01-".$param1."&dataFim=31-12-".$param1."&idCliente=".$param2; 
			break;

			case 'informarPagamento':		
				$url = $urlWebService."financeiro/fatura/informar_pagamento?boleto=".$param1."&valor=".$param2."&vencimento=".$param3."&idCliente=".$param4."&idFatura=".$param5;				
			break;

			case 'verificaFaturaDigital':		
				$url = $urlWebService."comercial/cliente/".$param1."/verificar/fatura_digital";
			break;

			case 'alterarFaturaDigital':		
				$url = $urlWebService."comercial/cliente/".$param1."/alterar/fatura_digital";				
			break;

			case 'buscarVencimentos':		
				$url = $urlWebService."financeiro/buscar/vencimentos";	
			break;

			case 'verificaAlteracaoVencimento':
				$url = $urlWebService."comercial/cliente/".$param1."/verificar/vencimento_contrato?vencimentoAtual=".$param2;
			break;

			case 'alterarVencimento':		
				$url = $urlWebService."comercial/cliente/".$param1."/alterar/vencimento_contrato?vencimentoAtual=".$param2."&novoVencimento=".$param3;	
			break;
		}
								
	
		$data_string = json_encode($json);                                                                                   
		$api_key = "webareaassinante";   
		$password = "via2017";                                                                                                                 
		$ch = curl_init(); 
		curl_setopt($ch, CURLOPT_URL, $url);    
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 20);
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");  
		curl_setopt($ch, CURLOPT_POST, true);                                                                   
	
		if(!empty($json))curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);                                            
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);    
		curl_setopt($ch, CURLOPT_USERPWD, $api_key.':'.$password);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC); 
	//	if($getUrl == "informarPagamento"){
		//	curl_setopt_array($ch,CURLOPT_POSTFIELDS => [          
		//		  'file' => curl_file_create($comprovante)
			//	]);
		//}

		if ($getUrl == "faturaPDFVencida" OR $getUrl == "faturaPDF" OR $getUrl == "notasFiscaisPDF" OR $getUrl == "baixaDDA" 
		OR $getUrl == "alterarVencimento")
		{
			curl_setopt($ch, CURLOPT_HTTPHEADER, array(   
				'Accept: application/json,text/html,application/xhtml+xml,application/xml;q=0.9,application/pdf,text/plain',
				'Content-Type: application/json')                                                           
			);             

		} else {
			curl_setopt($ch, CURLOPT_HTTPHEADER, array(   
				'Accept: application/json',
				'Content-Type: application/json')                                                           
			);             
		}

		$result = curl_exec($ch);

		if($result === false)
		{
			echo 'Curl error: ' .curl_error($ch);
		}                                                                                                      
		$errors = curl_error($ch);                                                                                                            
		$returnCode = (int)curl_getinfo($ch, CURLINFO_HTTP_CODE);
		curl_close($ch);  
		if ($getUrl == "faturaPDFVencida" OR $getUrl == "faturaPDF" OR $getUrl == "notasFiscaisPDF" OR $getUrl == "alterarPerfil" 
			OR $getUrl == "habilitarConfianca" OR $getUrl =="resetarSenha" OR $getUrl =="redefinirSenha" OR $getUrl == "validaDDA"			
			OR $getUrl == "baixaDDA" OR $getUrl == "informarPagamento" OR $getUrl == "verificaFaturaDigital" OR $getUrl=="alterarFaturaDigital"
			OR $getUrl == "alterarVencimento")
		{
			return $result;
		} else {
			return json_decode($result, true);
		}
	//}
}

switch ($funcao) {
	case "novoAtendimento":
				$dados = array("usuario" => "$usuario_login", 
				"senha" => "$usuario_senha",
				"idContrato" => "$cod_contrato",
				"idCentroCustoOrigem" => "$codCentroCusto",
				"idCentroCustoDestino" => "$codCentroCusto",
				"status" => "$statusChamado",
				"idTipoAtendimento" => "$codAtendimento",
				"descricao" => "$DescChamado");		   

			$chamado =basicAuth("novoAtendimento",$dados);
			echo $chamado;
	break;	

	case "faturaPDF":
		$rootServidor = $_SERVER['DOCUMENT_ROOT'];
		$pastaTemporaria = "/CentralAssinante/Vero/Temp/".$idFatura.".pdf";
		$caminhoArq = $rootServidor.$pastaTemporaria;
		$fp = fopen($caminhoArq,"wb");
		fwrite($fp,basicAuth("faturaPDF",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),"$idFatura"));
		fpassthru($fp);
		fclose($fp);
		header("Content-Type: application/pdf"); // informa o tipo do arquivo ao navegador
		header("Content-Length: ".filesize($caminhoArq)); // informa o tamanho do arquivo ao navegador
		header("Content-Disposition: attachment; filename=".basename($caminhoArq)); // informa ao navegador que é tipo anexo e faz abrir a janela de download, tambem informa o nome do arquivo
		echo $pastaTemporaria;
		exit();
	break;

	case "faturaPDFVencida":
		$rootServidor = $_SERVER['DOCUMENT_ROOT'];
		$pastaTemporaria = "/CentralAssinante/Vero/Temp/".$idFatura.".pdf";
		$caminhoArq = $rootServidor.$pastaTemporaria;
		$fp = fopen($caminhoArq,"wb");
		fwrite($fp,basicAuth("faturaPDFVencida",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),"$idFatura","$novaData"));
		fpassthru($fp);
		fclose($fp);
		header("Content-Type: application/pdf"); // informa o tipo do arquivo ao navegador
		header("Content-Length: ".filesize($caminhoArq)); // informa o tamanho do arquivo ao navegador
		header("Content-Disposition: attachment; filename=".basename($caminhoArq)); // informa ao navegador que é tipo anexo e faz abrir a janela de download, tambem informa o nome do arquivo
		echo $pastaTemporaria;
		exit();
	break;

	case "notasFiscaisPDF":
		$rootServidor = $_SERVER['DOCUMENT_ROOT'];
		$pastaTemporaria = "/CentralAssinante/Vero/Temp/".$idNotaFiscal.".pdf";
		$caminhoArq = $rootServidor.$pastaTemporaria;
		$fp = fopen($caminhoArq,"wb");
		fwrite($fp,basicAuth("notasFiscaisPDF",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),"$idNotaFiscal"));
		fpassthru($fp);
		fclose($fp);
		header("Content-Type: application/pdf"); // informa o tipo do arquivo ao navegador
		header("Content-Length: ".filesize($caminhoArq)); // informa o tamanho do arquivo ao navegador
		header("Content-Disposition: attachment; filename=".basename($caminhoArq)); // informa ao navegador que é tipo anexo e faz abrir a janela de download, tambem informa o nome do arquivo
		echo $pastaTemporaria;
		exit();
	break;

	case "deletePDF":
		$rootServidor = $_SERVER['DOCUMENT_ROOT'];
		$caminhoArq = $rootServidor.$Caminho;
		unlink($caminhoArq);
	break;

	case "tipoAtendimento":
		$TipoAtendimento = basicAuth("tipoAtendimento",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),"$cod_contrato");
		echo json_encode($TipoAtendimento);
	break;

	case "atendimento":  
		$atendimentos = basicAuth("atendimento",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),"$cod_contrato");
		echo json_encode($atendimentos);
	break;

	case "linhaDigitavel":
		$linhaDigitavel = basicAuth("linhaDigitavel",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$idFatura,$novaData);
		echo json_encode($linhaDigitavel);
	break;

	case "extrato":
		$retornaDados = basicAuth("extrato",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$cod_contrato, $data_inicial, $data_final);
		echo json_encode($retornaDados);
	break;

	case "extratoLigacao":
		$retornaDados = basicAuth("extratoLigacao",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$cod_contrato, $data_inicial, $data_final);		
		usort($retornaDados, function($a1, $a2) {
			$value1 = $a1["dataLigacao"];
			$value2 = $a2["dataLigacao"];
			return $value2 - $value1;
		  });
		echo json_encode($retornaDados);
	break;

	case "totalNavegacao":
		$retornaDados = basicAuth("total_navegacao",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$cod_contrato);
		echo json_encode($retornaDados);
	break;

	case "geral":
		$pega_login = $_POST['login_user'];
		$usuario_login = corrigeCPF($pega_login);
		$usuario_senha = $_POST['pass_user'];	
		$retornaDados = basicAuth("geral",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"));		
		$_SESSION['dados'] = $retornaDados;		
		$retornaDadosVencimento = basicAuth("buscarVencimentos",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"));		
		$_SESSION['dadosVencimento'] = $retornaDadosVencimento;		
		$contagem = count($retornaDados);
		
		if ( $contagem > 0 ) {	
			$pega_id = $retornaDados['CodigoCliente'];
			
			$token = geraToken("$pega_id");
			
			setcookie ("login_token", $token); //grava o cookie com o login
			setcookie ("user_token", $usuario_login); //grava o cookie com a senha
			
			if (!isset($_SESSION)) {
				session_start();		
			}			
			$_SESSION["login"] = $usuario_login;
			$_SESSION['getpasswd'] = $usuario_senha;
			$_SESSION['token'] = $token;
			$_SESSION['codCliente'] = $retornaDados['CodigoCliente'];	

			echo "OK";
		} 
	break;

	case "notasFiscais":
		$notasFiscais = basicAuth("notasFicais",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$cod_cliente,$data_inicial, $data_final);		
		echo json_encode($notasFiscais);	
	break;

	case "resetarSenha":  
		$cpfcnpjCliente= corrigeCPF($CpfCnpj);
		$resetaSenha = basicAuth("resetarSenha",array("usuario" => "$cpfcnpjCliente"));		
		echo json_encode($resetaSenha);
	break;

	case "alterarPerfil":  
		$resultado = basicAuth("alterarPerfil",json_decode($dados_Perfil));//$resultado = basicAuth("alterarPerfil",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),urlencode($dados_Perfil),urlencode($dados_Contrato));// método novo json_decode($dados_Perfil));
		echo json_encode($resultado);
	break;

	case "habilitarConfianca":  	
		$resultado = basicAuth("habilitarConfianca",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$cod_contrato, urlencode($status_contrato));
		echo $resultado;
	break;

	case "contratosCliente":	
		$retornaDados = basicAuth("contratosCliente",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"), $cod_cliente);					
		$_SESSION['dados'] = $retornaDados;
	break;	

	case "redefinirSenha":  
		if($senha_atual != $usuario_senha){
			echo json_encode("erroSenhaAtual: Senha atual digitada, diferente da senha cadastrada!");		
		}		
		else{
			$redefinirSenha = basicAuth("redefinirSenha",array("usuario" => "$usuario_login"),$senha_atual,$nova_senha);		
			echo json_encode($redefinirSenha);			
		}		
	break;

	case "validaDDA":  
		$resultado = basicAuth("validaDDA",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$ano_referencia,$cod_cliente);
		echo json_encode($resultado);
	break;

	case "baixaDDA":
		$rootServidor = $_SERVER['DOCUMENT_ROOT'];
		$pastaTemporaria = "/CentralAssinante/Vero/Temp/Quitacao/quitacao_anual_".$cod_cliente.".pdf";
		$caminhoArq = $rootServidor.$pastaTemporaria;
		$fp = fopen($caminhoArq,"wb");		
		fwrite($fp,basicAuth("baixaDDA",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$ano_referencia,$cod_cliente));
		fpassthru($fp);
		fclose($fp);
		header("Content-Type: application/pdf"); // informa o tipo do arquivo ao navegador
		header("Content-Length: ".filesize($caminhoArq)); // informa o tamanho do arquivo ao navegador
		header("Content-Disposition: attachment; filename=".basename($caminhoArq)); // informa ao navegador que é tipo anexo e faz abrir a janela de download, tambem informa o nome do arquivo
		echo $pastaTemporaria;
		exit();
	break;

	case "informarPagamento":		
			$resultado = basicAuth("informarPagamento",array("usuario" => "$usuario_login", "senha" => "$usuario_senha","caminho" =>"$comprovante"),$num_boleto,$valor,$data_vencimento,$cod_cliente,$idFatura);
			echo json_encode($resultado);		
	break;

	case "verificaFaturaDigital":
		if (isset($_SESSION['cidade']) && $_SESSION['cidade'] == 'bh') {
			echo "NOT_ACCEPTABLE";
		}
		else{		
			$resultado = basicAuth("verificaFaturaDigital",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"), $cod_cliente);
			echo str_replace("\\","",preg_replace('/(\'|")/', "", json_encode($resultado)));
		}
	break;		
	/*case "verificaFaturaDigital":		
		$resultado = basicAuth("verificaFaturaDigital",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"), $cod_cliente);
		echo str_replace("\\","",preg_replace('/(\'|")/', "", json_encode($resultado)));
	break;	*/

	case "alterarFaturaDigital":		
		$resultado = basicAuth("alterarFaturaDigital",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$cod_cliente);
		echo str_replace("\\","",preg_replace('/(\'|")/', "",json_encode($resultado)));		
	break;

	case "verificaAlteracaoVencimento":			
			$resultado = basicAuth("verificaAlteracaoVencimento",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"), $cod_cliente,$vencimento_atual);
			echo str_replace("\\","",preg_replace('/(\'|")/', "", json_encode($resultado)));
	break;	

	case "alterarVencimento":
		$retornaDados = basicAuth("alterarVencimento",array("usuario" => "$usuario_login", "senha" => "$usuario_senha"),$cod_cliente,$vencimento_atual,$vencimento_novo);
		echo str_replace("\\","",preg_replace('/(\'|")/', "",json_encode($retornaDados)));		
	break;
	
}




function corrigeCPF($cpf) {
	
	$retorna = preg_replace( '/[^0-9]/', '', $cpf );
	$contaCaracteres = strlen($retorna);

	if (is_numeric($retorna)) {
		if ($contaCaracteres == 11) {
			return $retorna;
		}
		elseif ($contaCaracteres == 14) 
		{
			$retorna = preg_replace( '/[^0-9]/', '', $cpf );
			return $retorna;
		} else {
			return false;
		}
	} else {
		return false;
	}
}
//FORMATA DINHEIRO PARA BANCO DE DADOS 
function dinheiroBD($valor,$tipo) {
	if($tipo == "decimal") {
		$retira = str_replace(".","",$valor);
		$retira = str_replace(",",".",$retira);
	}
	if($tipo == "real") {
		$retira = 'R$' . number_format($valor, 2, ',', '.'); 
	}
	if($tipo == "brasil") {
		$retira = number_format($valor, 2, ',', '.'); 
	}

return $retira;
}

//DATA ATUAL

function dataAtual($selecionaTipo) {
date_default_timezone_set ("America/Sao_Paulo");
	if ($selecionaTipo == "dmy") { return date("Y-m-d"); }
		else
	if ($selecionaTipo == "his") { return date("Y\-m\-d\ H:i:s"); }
}
function consertaData ($data1,$tipodata) {
	if ($tipodata == "brasil") {
		$quebradata = explode("/", $data1);
		$retornadata = $quebradata[2] . '-' . $quebradata[1] . '-' . $quebradata[0];
	}
	if ($tipodata == "fatura") {
		$quebradata = explode("-", $data1);
		$retornadata = $quebradata[2] . '-' . $quebradata[1] . '-' . $quebradata[0];
	}

	if ($tipodata == "eua") { 
		$retornadata = date('d/m/Y', strtotime($data1));
	}
	if ($tipodata == "euaHoras") { 
		$retornadata = date('d/m/Y - H:i:s', strtotime($data1));
	}
	return $retornadata;
}

function geraSenha($tamanho = 8, $maiusculas = true, $numeros = true, $simbolos = false)
{
	$lmin = 'abcdefghijklmnopqrstuvwxyz';
	$lmai = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$num = '1234567890';
	$simb = '!@#$%*-';
	$retorno = '';
	$caracteres = '';
	$caracteres .= $lmin;
	if ($maiusculas) $caracteres .= $lmai;
	if ($numeros) $caracteres .= $num;
	if ($simbolos) $caracteres .= $simb;
	$len = strlen($caracteres);
	for ($n = 1; $n <= $tamanho; $n++) {
	$rand = mt_rand(1, $len);
	$retorno .= $caracteres[$rand-1];
	}
	return $retorno;
}
function geraToken ($codigo) {
	$inicio = geraSenha(12);
	$md5Cod = md5($codigo);
	$data = md5(dataAtual("dmy"));
	$final = $inicio .''.$md5Cod.''.$data;
	return $final;
}
function confereToken ($token) {
	$token_inicio = substr($token,0,-32);
	$token_final = substr($token_inicio,12,32);
	return $token_final;
}
function confereLogin ($cookieLogin,$cookieToken,$sessionPassword,$sessionToken) {

	if (empty($cookieLogin) OR empty($cookieToken) OR empty($sessionPassword) OR empty($sessionToken)) {
		header('Location: login.php');
		exit;
	} 
	if ($cookieToken != $sessionToken) {
		header('Location: login.php');
		exit;
	}
}
function ordenaArray($array){
	usort($array, function($a1, $a2) {
		$value1 = strtotime($a1['Vencimento']);
		$value2 = strtotime($a2['Vencimento']);
		return $value1 - $value2;
	  });
}
	
